package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.WxRepairs;
import com.propertyManagement.business.domain.vo.WxRepairsVo;
import com.propertyManagement.business.domain.bo.WxRepairsBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 报修Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxRepairsService {

    /**
     * 查询报修
     */
    WxRepairsVo queryById(Long repairsId);

    /**
     * 查询报修列表
     */
    TableDataInfo<WxRepairsVo> queryPageList(WxRepairsBo bo, PageQuery pageQuery);

    /**
     * 查询报修列表
     */
    List<WxRepairsVo> queryList(WxRepairsBo bo);

    /**
     * 小程序新增报修
     */
    Boolean add(WxRepairsBo bo);

    /**
     * 新增报修
     */
    Boolean insertByBo(WxRepairsBo bo);

    /**
     * 修改报修
     */
    Boolean updateByBo(WxRepairsBo bo);

    /**
     * 校验并批量删除报修信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
